# Network SDK

## SDK Overview

The **coherence** SDK is a set of prefabs & scripts to help you create multiplayer games super fast.

It makes it easy for anyone to create a multiplayer game by having flexible, intuitive and powerful visual components.

Here are the main building blocks of the SDK.

### [**CoherenceSync (Component)**](/0.5.2/api-reference/network-sdk/coherencesync.md)

CoherenceSync is a component that should be attached to every networked Game Object. It may be your player, an NPC or an inanimate object such as a ball, a projectile or a banana. Anything that needs to be synchronized over the network. You can select which of the attached components you would like to sync across the network as well as individual public properties.

### [**Settings (Window)**](https://app.gitbook.com/s/-MWd0ZPEK7vE9nkE0b7G-1552174847/api-reference/%7B%7B%3C%20ref%20toolkit_settings%20%3E%7D%7D)

The **coherence** Settings window is located in `Project Settings -> coherence` and lets you launch a local replication server, upload your server to the cloud via the access token and bakes your schemas for more optimized data transfer of our Networked GameObjects.

### [**LiveQuery (Component)**](/0.5.2/api-reference/network-sdk/livequery.md)

LiveQuery, as the name suggests, queries a location set by the developer so that **coherence** can simulate anything within its radius. In our Starter Project, the LiveQuery position is static with a radius large enough to cover the entire playable level. If the world was very large and potentially set over multiple simulation servers, the LiveQuery could be attached to the playable character or camera.

### [**MonoBridge (Component)**](/0.5.2/api-reference/network-sdk/monobridge.md)

The **coherence** MonoBridge passes information between the coherenceSync component and the networked ECS components.

### [Sample UI](/0.5.2/api-reference/network-sdk/sample-ui.md)

The sample UI Prefab holds all of the UI and connection functionality to connect to the running project locally or via a server. You can completely rewrite this if you like, it's there to get you up and running quickly.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.coherence.io/0.5.2/api-reference/network-sdk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
